VMware

VMware Consolidated Backup 1.0.3 Update 1 Release Notes

VMware Consolidated Backup 1.0.3 Update 1 | 10/31/2007 | Build 58377

What's in the Release Notes

The release notes cover the following topics:

What's New

This update offers the following improvements:
  • Resolves compatibility issues for VirtualCenter 2.5.
    This update ensures VCB 1.0.3 is compatible with VirtualCenter 2.5.x. This gives you more flexibility in scheduling and implementing VCB upgrades for your next Virtual Infrastructure upgrade or installation. It also allows you to back up a VI3 environment with mixed versions of 3.5.0 and 3.0.1 ESX Server systems that are both managed by VirtualCenter 2.5.x.
  • Allows snapshots of VMDK files of virtual machines that utilize physical compatibility mode RDMs.
    VCB 1.0.3 U1 can access and back up the VMDK files belonging to virtual machines with this configuration. You must still use other methods to back up the virtual machine's RDM data, however.
  • New command added to remove snapshots.
    You can now use vcbCleanup.bat from the command line of the VCB proxy to remove snapshots. Invoke this script after each backup cycle (no arguments need to be specified). The script iterates over all VCB mounted directories in BACKUPROOT and performs a cleanup.
  • LOGLEVEL is now configurable.
    In C:\Program Files\VMware\VMware Consolidated Backup Framework\config\config.js, you can now set LOGLEVEL for advanced troubleshooting.

Recommended Reading

Important: VMware Consolidated Backup 1.0.3 Update 1 includes all the features of version 1.0.3 and also adds the features listed here. In addition to this document, also read the VMware Consolidated Backup 1.0.3 Release Notes.

See the ESX Server Compatibility Guides before installing this software. It is important to verify that your server, I/O, storage, guest operating system, management agent, and backup software are compatible. These guides also address minimum requirements and scaling limits associated with this release.

VMware strongly recommends that you read the Virtual Machine Backup Guide for step-by-step guidance on configuring VMware Consolidated Backup.

You might also find the document Understanding VMware Consolidated Backup useful when installing and configuring the software.

Installing This Update

Pre-requisites

You must uninstall previous versions of VCB before you install VCB 1.0.3 Update 1. See KB 1002603 for troubleshooting information if you ran the installer already and the installation hung.

VCB 1.0.3 U1 requires the following versions of VI3 software:

  • ESX Server 3.0.2 with the following patches applied: ESX-1002088, ESX-1002090
  • VirtualCenter 2.0.2 Update 1 or VirtualCenter 2.5 (when available)

To determine if you have the required patches on your ESX Server system:

  1. Log into the ESX Server service console as root.
  2. Enter the following command and review the results for the required patches.
    esxupdate -l query

    Alternatively, you can search for a specific patch number using the following command:
    esxupdate -l query | grep <patch_number>

If you do not have the patches already installed, see the following knowledge base articles:

For VirtualCenter downloads and release notes, see http://www.vmware.com/download/vi/.

To install VCB 1.0.3 Update 1

  1. Make sure your VCB Proxy (Windows 2003 host) is correctly configured. See "Setting Up VMware Consolidated Backup" on page 31 in the Virtual Machine Backup Guide, under Chapter 2: VMware Consolidated Backup.
  2. If you have a previous version of VCB already installed, un-install it before installing Update 1.
    (Start > Settings > Control Panel > Add or Remove Programs)
  3. Download the VMware Consolidated Backup installation file from http://www.vmware.com/download/vi/.
  4. Double-click the downloaded file and follow the prompts to install VMware Consolidated Backup 1.0.3 Update 1.

Known Issues

The following known issues have been reported when using VCB 1.0.3 U1:

Resolved Issues

The following issues have been resolved in VCB 1.0.3 U1: